/*
	sample3d.c : sample program of ELview-3d

	usage :
	> cl sample3d.c ev_c.lib
	> sample3d
	> ev3
*/

#include "ev_c.h"

int main(void)
{
	double p[4][3];
	int c[4];
	unsigned char rgb[3];

	// start
	ev3Page();

	// flat shading
	p[0][0] = 0; p[0][1] = 0; p[0][2] = 0;
	p[1][0] = 1; p[1][1] = 0; p[1][2] = 0;
	p[2][0] = 1; p[2][1] = 1; p[2][2] = 0;
	p[3][0] = 0; p[3][1] = 1; p[3][2] = 0;
	ev3Polygon1(4, p, 1);

	// smooth shading (vertex shading)
	p[0][0] = 0; p[0][1] = 0; p[0][2] = 0; c[0] = 1;
	p[1][0] = 0; p[1][1] = 1; p[1][2] = 0; c[1] = 20;
	p[2][0] = 0; p[2][1] = 1; p[2][2] = 1; c[2] = 10;
	p[3][0] = 0; p[3][1] = 0; p[3][2] = 1; c[3] = 15;
	ev3Vertex1(4, p, c);

	// segment
	ev3Line1(1, 0, 0, 0, 0, 1, 12);
	rgb[0] = 255; rgb[1] = 0; rgb[2] = 0;
	ev3Line2(1, 1, 0, 0, 1, 1, rgb);

	return 0;
}
